Update a commission

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
PATCH /commissions/{commissionId}

Updates a commission using its commission guid.

application/json

Body

object object

Responses

  • 200 application/json

    Successfully updated the commission.

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 404 application/json

    Commission not found.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 412

    Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.

  • 500

    Unknown error. See response body for details.

PATCH /commissions/{commissionId}
curl \
 --request PATCH 'http://api.example.com/commissions/{commissionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string (UUID)","agentId":"string (UUID)","officeName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","endCount":"number (float)","primary":"boolean","amount":"number (float)","percentage":"number (float)","calculationMethod":"string"}'
Request example
{
  "id": "string (UUID)",
  "agentId": "string (UUID)",
  "officeName": "string",
  "prefix": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "suffix": "string",
  "endCode": "string",
  "endCount": "number (float)",
  "primary": "boolean",
  "amount": "number (float)",
  "percentage": "number (float)",
  "calculationMethod": "string"
}
Response examples (200)
{}
Response examples (404)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}